<?php

$output = $font_color = $el_class = $width = $offset = '';

extract(shortcode_atts(array(

	'font_color'      => '',

    'el_class' => '',

    'width' => '1/1',

    'css' => '',

	'offset' => '',

	'wap_class' => '',

	'wap_id' => '',

	'animate' =>'',

), $atts));



$el_class = $this->getExtraClass($el_class);

$width = wpb_translateColumnWidthToSpan($width);

$wap_id = (!empty($wap_id) ? ' id="'.esc_attr($wap_id).'"' : '');

$width = vc_column_offset_class_merge($offset, $width);

$el_class .= ' wpb_column vc_column_container';

$style = $this->buildStyle( $font_color );

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $width . $el_class . vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

$output .= "\n\t".'<div class="'.$css_class.'"'.$style.'>';

if($animate == 'none'){
	$output .= "\n\t\t".'<div '.$wap_id.' class="wpb_wrapper '.$wap_class.'">';
}elseif ($animate == 'fadeinup') {
	$output .= "\n\t\t".'<div '.$wap_id.' class="wpb_wrapper wow fadeInUp '.$wap_class.'">';
}elseif ($animate == 'fadeindown') {
	$output .= "\n\t\t".'<div '.$wap_id.' class="wpb_wrapper wow fadeInDown '.$wap_class.'">';
}elseif ($animate == 'fadein') {
	$output .= "\n\t\t".'<div '.$wap_id.' class="wpb_wrapper wow fadeIn '.$wap_class.'">';
}elseif ($animate == 'fadeinleft') {
	$output .= "\n\t\t".'<div '.$wap_id.' class="wpb_wrapper wow fadeInLeft '.$wap_class.'">';
}else{
	$output .= "\n\t\t".'<div '.$wap_id.' class="wpb_wrapper wow fadeInRight '.$wap_class.'">';
}


$output .= "\n\t\t\t".wpb_js_remove_wpautop($content);

$output .= "\n\t\t".'</div> '.$this->endBlockComment('.wpb_wrapper');

$output .= "\n\t".'</div> '.$this->endBlockComment($el_class) . "\n";



echo htmlspecialchars_decode($output);